> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/unmanaged-egressip/describeunmanagedegressips.md).

# DescribeUnmanagedEgressIps

## 1. API Description

This API (DescribeUnmanagedEgressIps) is used to query the list of unmanaged egress IPs that match the specified criteria, returning basic IP information and bandwidth rate limit mode.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name       | Required | Type            | Description                                                                               |
| -------------------- | -------- | --------------- | ----------------------------------------------------------------------------------------- |
| unmanagedEgressIpIds | No       | Array of String | Filter by unmanaged egress IP unique IDs. A maximum of 100 IDs are supported per request. |
| regionId             | No       | String          | Filter by region ID.                                                                      |
| vpcId                | No       | String          | Filter by the unique ID of the VPC.                                                       |
| pageSize             | No       | Integer         | <p>Page size of the returned results.</p><p>Default value: 20. Maximum value: 1000.</p>   |
| pageNum              | No       | Integer         | <p>Page number of the returned results.</p><p>Default value: 1</p>                        |

## 3. Output Parameters

| Parameter Name | Type                                                                                                | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                              | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                                             | Total number of unmanaged egress IPs that match the filter criteria.                                                  |
| dataSet        | Array of [UnmanagedEgressIpInfo](/api-reference/compute/zec/datastructure.md#unmanagedegressipinfo) | List of returned unmanaged egress IPs.                                                                                |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the list of unmanaged egress IPs**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeUnmanagedEgressIps
<Common Request Params>

Request:
{
    "unmanagedEgressIpIds": ["unmanagedEgressIp-xxx1", "unmanagedEgressIp-xxx2"],
    "regionId": "asia-east-1",
    "vpcId": "vpc-xxxxxx",
    "pageSize": 20,
    "pageNum": 1
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "totalCount": 2,
    "dataSet": [
      {
        "unmanagedEgressIpId": "unmanagedEgressIp-xxx1",
        "ip": "1.1.1.1",
        "regionId": "asia-east-1",
        "vpcId": "vpc-xxxxxx",
        "status": "AVAILABLE",
        "networkLineType": "BGPLine",
        "internetChargeType": "ByBandwidth",
        "bandwidthCap": 100,
        "rateLimitMode": "LOOSE",
        "createTime": "2026-04-30T10:00:00Z"
      },
      {
        "unmanagedEgressIpId": "unmanagedEgressIp-xxx2",
        "ip": "1.1.1.2",
        "regionId": "asia-east-1",
        "vpcId": "vpc-xxxxxx",
        "status": "AVAILABLE",
        "networkLineType": "BGPLine",
        "internetChargeType": "ByTrafficPackage",
        "bandwidthCap": 200,
        "rateLimitMode": "LOOSE",
        "createTime": "2026-04-30T10:00:00Z"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
